/**
 * @file unicodeName.js
 * @author mengke01
 * @date
 * @description
 * unicode 编码与postName对照表
 *
 * see:
 * http://www.microsoft.com/typography/otspec/WGL4.htm
 */





        var unicodeName = {
            '0': 1,
            '1': 1,
            '2': 1,
            '3': 1,
            '4': 1,
            '5': 1,
            '6': 1,
            '7': 1,
            '8': 1,
            '9': 2,
            '10': 1,
            '11': 1,
            '12': 1,
            '13': 2,
            '14': 1,
            '15': 1,
            '16': 1,
            '17': 1,
            '18': 1,
            '19': 1,
            '20': 1,
            '21': 1,
            '22': 1,
            '23': 1,
            '24': 1,
            '25': 1,
            '26': 1,
            '27': 1,
            '28': 1,
            '29': 1,
            '30': 1,
            '31': 1,
            '32': 3,
            '33': 4,
            '34': 5,
            '35': 6,
            '36': 7,
            '37': 8,
            '38': 9,
            '39': 10,
            '40': 11,
            '41': 12,
            '42': 13,
            '43': 14,
            '44': 15,
            '45': 16,
            '46': 17,
            '47': 18,
            '48': 19,
            '49': 20,
            '50': 21,
            '51': 22,
            '52': 23,
            '53': 24,
            '54': 25,
            '55': 26,
            '56': 27,
            '57': 28,
            '58': 29,
            '59': 30,
            '60': 31,
            '61': 32,
            '62': 33,
            '63': 34,
            '64': 35,
            '65': 36,
            '66': 37,
            '67': 38,
            '68': 39,
            '69': 40,
            '70': 41,
            '71': 42,
            '72': 43,
            '73': 44,
            '74': 45,
            '75': 46,
            '76': 47,
            '77': 48,
            '78': 49,
            '79': 50,
            '80': 51,
            '81': 52,
            '82': 53,
            '83': 54,
            '84': 55,
            '85': 56,
            '86': 57,
            '87': 58,
            '88': 59,
            '89': 60,
            '90': 61,
            '91': 62,
            '92': 63,
            '93': 64,
            '94': 65,
            '95': 66,
            '96': 67,
            '97': 68,
            '98': 69,
            '99': 70,
            '100': 71,
            '101': 72,
            '102': 73,
            '103': 74,
            '104': 75,
            '105': 76,
            '106': 77,
            '107': 78,
            '108': 79,
            '109': 80,
            '110': 81,
            '111': 82,
            '112': 83,
            '113': 84,
            '114': 85,
            '115': 86,
            '116': 87,
            '117': 88,
            '118': 89,
            '119': 90,
            '120': 91,
            '121': 92,
            '122': 93,
            '123': 94,
            '124': 95,
            '125': 96,
            '126': 97,
            '160': 172,
            '161': 163,
            '162': 132,
            '163': 133,
            '164': 189,
            '165': 150,
            '166': 232,
            '167': 134,
            '168': 142,
            '169': 139,
            '170': 157,
            '171': 169,
            '172': 164,
            '174': 138,
            '175': 218,
            '176': 131,
            '177': 147,
            '178': 242,
            '179': 243,
            '180': 141,
            '181': 151,
            '182': 136,
            '184': 222,
            '185': 241,
            '186': 158,
            '187': 170,
            '188': 245,
            '189': 244,
            '190': 246,
            '191': 162,
            '192': 173,
            '193': 201,
            '194': 199,
            '195': 174,
            '196': 98,
            '197': 99,
            '198': 144,
            '199': 100,
            '200': 203,
            '201': 101,
            '202': 200,
            '203': 202,
            '204': 207,
            '205': 204,
            '206': 205,
            '207': 206,
            '208': 233,
            '209': 102,
            '210': 211,
            '211': 208,
            '212': 209,
            '213': 175,
            '214': 103,
            '215': 240,
            '216': 145,
            '217': 214,
            '218': 212,
            '219': 213,
            '220': 104,
            '221': 235,
            '222': 237,
            '223': 137,
            '224': 106,
            '225': 105,
            '226': 107,
            '227': 109,
            '228': 108,
            '229': 110,
            '230': 160,
            '231': 111,
            '232': 113,
            '233': 112,
            '234': 114,
            '235': 115,
            '236': 117,
            '237': 116,
            '238': 118,
            '239': 119,
            '240': 234,
            '241': 120,
            '242': 122,
            '243': 121,
            '244': 123,
            '245': 125,
            '246': 124,
            '247': 184,
            '248': 161,
            '249': 127,
            '250': 126,
            '251': 128,
            '252': 129,
            '253': 236,
            '254': 238,
            '255': 186,
            '262': 253,
            '263': 254,
            '268': 255,
            '269': 256,
            '273': 257,
            '286': 248,
            '287': 249,
            '304': 250,
            '305': 215,
            '321': 226,
            '322': 227,
            '338': 176,
            '339': 177,
            '350': 251,
            '351': 252,
            '352': 228,
            '353': 229,
            '376': 187,
            '381': 230,
            '382': 231,
            '402': 166,
            '710': 216,
            '711': 225,
            '728': 219,
            '729': 220,
            '730': 221,
            '731': 224,
            '733': 223,
            '960': 155,
            '8211': 178,
            '8212': 179,
            '8216': 182,
            '8217': 183,
            '8218': 196,
            '8220': 180,
            '8221': 181,
            '8222': 197,
            '8224': 130,
            '8225': 194,
            '8226': 135,
            '8230': 171,
            '8240': 198,
            '8249': 190,
            '8250': 191,
            '8355': 247,
            '8482': 140,
            '8486': 159,
            '8706': 152,
            '8710': 168,
            '8719': 154,
            '8721': 153,
            '8722': 239,
            '8725': 188,
            '8729': 195,
            '8730': 165,
            '8734': 146,
            '8747': 156,
            '8776': 167,
            '8800': 143,
            '8804': 148,
            '8805': 149,
            '9674': 185,
            '61441': 192,
            '61442': 193,
            '64257': 192,
            '64258': 193,
            '65535': 0 // 0xFFFF指向.notdef
        };

        module.exports = unicodeName;
    
